%{
	#include<stdio.h>
%}
id [A-Za-z]+
num [0-9]+
%%
	printf |
	scanf |
	else {printf("%s is a reserved word \n",yytext);}
	{id} {printf("%s is a Identifier \n",yytext);}
	{num} {printf("%s is a Number \n",yytext);}
%%
main(argc,argv)
int argc;
char **argv;
{
	if(argc>1)
	{
		FILE *fp;
		fp=fopen(argv[1],"r");
		if(!fp)
		{
			fprintf(stderr,"%s could not read",argv[1]);
			exit(1);
		}
		yyin=fp;
	}
	yylex();
	return 0;
}
yywrap()
{
	return 1;
}
